---
search:
  tags:
    - Wishlist
    - DELETE
seo:
  description: >-
    Remove one or more items from a wishlist for the authenticated… Reference
    for the DELETE /api/v1/{app_id}/wishlists/{id}/items endpoint in the
    Customers API.
sidebar:
  label: Remove items from wishlist
  badge: DELETE
title: Remove items from wishlist
type: openapi-operation
---
Remove one or more items from a wishlist for the authenticated user. Use product_ids to remove product-level items (variant_group_id is null) or variant_group_ids to remove variant-group-scoped items.

`DELETE /api/v1/{app_id}/wishlists/{id}/items`

**Request body** (`application/json`, required)

Items to remove

- `product_ids` (string[])
- `variant_group_ids` (string[])

Request body example:

```json
{
  "product_ids": [
    "string"
  ],
  "variant_group_ids": [
    "string"
  ]
}
```

**Responses**

- `200` — Items removed successfully
- `400` — Invalid request
- `401` — Unauthorized
- `404` — Wishlist not found
- `500` — Internal server error

Response example, 200:

```json
{
  "message": "string"
}
```
